<?php

// ini_set('display_errors',1);

session_start();
date_default_timezone_set('America/Lima');
if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}
require_once ("../../config/Cado.php");
require_once("../traspaso/cTraspaso.php");
$oTraspaso = new cTraspaso();
require_once("../kardex/cKardex.php");
$oKardex = new cKardex();
require_once("../stock/cStock.php");
$oStock = new cStock();

require_once("../formatos/formato.php");

    $dts= $oTraspaso->mostrarUno($_GET['tra_id']);
	$dt = mysqli_fetch_array($dts);
		$alm_id_ori	=$dt['tb_almacen_id_ori'];
		$alm_id_des	=$dt['tb_almacen_id_des'];
	mysqli_free_result($dts);
	
	echo 'almacen origen--'.$alm_id_des.'.............. </br>';
	
	/*
			$rs = $oKardex->mostrar_kardexdetalle_x_modulo2('5',$_GET['tra_id'],'','','2');
			$dt = mysqli_fetch_array($rs);
			$karsal_id = $dt['tb_kardex_id'];
			mysqli_free_result($rs);
			
			echo 'Kardex salida--'.$karsal_id.'.............. </br>';
			
			if($karsal_id>0){
			     $oKardex->modificar_campo($karsal_id,'xac','0');
			}
			*/
			
			$rs1 = $oKardex->mostrar_kardexdetalle_x_modulo2('5',$_GET['tra_id'],'','','1');
			$dt1 = mysqli_fetch_array($rs1);
			$karentr_id = $dt1['tb_kardex_id'];
			mysqli_free_result($rs1);
			
			echo 'Kardex entrada--'.$karentr_id.'.............. </br>';
			
			if($karentr_id>0){
			    $oKardex->modificar_campo($karentr_id,'xac','0');
			}
			

		$dts1=$oTraspaso->mostrar_traspaso_detalle($_GET['tra_id']);
		$num_rows= mysqli_num_rows($dts1);

		while($dt1 = mysqli_fetch_array($dts1))
		{
			$cat_id = $dt1['tb_catalogo_id'];
			$mar_id = $dt1['tb_marca_id'];
			$cantidad = $dt1['tb_traspasodetalle_can'];
			echo $cat_id.'-'.$mar_id.'.............. '.$cantidad.'----</br>';
	
	        /*
	        $dts=$oStock->stock_por_presentacion($cat_id,$mar_id,$alm_id_ori);
	    	$dt = mysqli_fetch_array($dts);
			$sto_id		=$dt['tb_stock_id'];
			$sto_num	=$dt['tb_stock_num'];
		    mysqli_free_result($dts);
		    
		    echo '-----------ORIGEN---------------------  </br> ';
		    
		    echo ' stock actual - '.$sto_num.'------  </br> ';
		    
		    $stock_nuevo=$sto_num+$cantidad;
		    
		     echo ' stock nuevo - '.$stock_nuevo.'------  </br> ';
		    
		    
		    
		    $oStock->modificar($sto_id,$stock_nuevo);
		    */
		    
		    $dts3=$oStock->stock_por_presentacion($cat_id,$mar_id,$alm_id_des);
	    	$dt3 = mysqli_fetch_array($dts3);
			$sto_id3		=$dt3['tb_stock_id'];
			$sto_num3	=$dt3['tb_stock_num'];
		    mysqli_free_result($dts3);
		    
		    
		     echo '-----------SALIDA---------------------  </br> ';
		    
		    echo ' stock actual - '.$sto_num3.'------  </br> ';
		    
		    $stock_nuevo3=$sto_num3-$cantidad;
		    
		     echo ' stock nuevo - '.$stock_nuevo3.'------  </br> ';
		     
		     echo ' -----------------------------------------  </br> ';
	        $oStock->modificar($sto_id3,$stock_nuevo3);
	
		}



?>








